package edu.nyu.scps.images;

import android.content.ContentValues;
import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;


public class Helper extends SQLiteOpenHelper {
    private String tableName;

    public Helper(Context context, String tableName) {
        super(context, "images.db", null, 1);
        this.tableName = tableName;
    }


    @Override
    public void onCreate(SQLiteDatabase db) {

        String createTable =
                "CREATE TABLE " + tableName + " (\n"
                + "_id INTEGER PRIMARY KEY AUTOINCREMENT,\n"
                + "resourceId INTEGER\n"
                + ");";

        db.execSQL(createTable);

        int[] resourceIds = {
                R.drawable.sample_thumb_0,
                R.drawable.sample_thumb_1,
                R.drawable.sample_thumb_2,
                R.drawable.sample_thumb_3,
                R.drawable.sample_thumb_4,
                R.drawable.sample_thumb_5,
                R.drawable.sample_thumb_6,
                R.drawable.sample_thumb_7
        };

        for (int resourceId: resourceIds) {
            ContentValues contentValues = new ContentValues();
            contentValues.put("resourceId", resourceId);
            db.insert(tableName, null, contentValues);
        }
    }

    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
    }
}
